> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselotus.io/llms.txt
> Use this file to discover all available pages before exploring further.

> Verify if events with specific idempotency events have been ingested into Lotus' record of events.

# Verify Event Ingestion

This method is currently not in our SDK, and is simply for debugging purposes.


## OpenAPI

````yaml POST /api/verify_idems_received/
openapi: 3.0.3
info:
  title: Lotus API
  version: 0.9.3
  description: >-
    Lotus is an open-core pricing and billing engine. We enable API companies to
    automate and optimize their custom usage-based pricing for any metric.
servers: []
security: []
paths:
  /api/verify_idems_received/:
    post:
      tags:
        - api
      operationId: api_verify_idems_received_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmIdemsReceivedRequestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ConfirmIdemsReceivedRequestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ConfirmIdemsReceivedRequestRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmIdemsReceived'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmIdemsReceivedFailure'
          description: ''
      security:
        - knoxTokenAuth: []
        - OrganizationApiKeyAuth: []
          TokenAuth: []
components:
  schemas:
    ConfirmIdemsReceivedRequestRequest:
      type: object
      properties:
        idempotency_ids:
          type: array
          items:
            type: string
            minLength: 1
        number_days_lookback:
          type: integer
          default: 30
        customer_id:
          type: string
          minLength: 1
      required:
        - idempotency_ids
    ConfirmIdemsReceived:
      type: object
      properties:
        status:
          enum:
            - success
          type: string
          description: '* `success` - success'
        ids_not_found:
          type: array
          items:
            type: string
      required:
        - ids_not_found
        - status
    ConfirmIdemsReceivedFailure:
      type: object
      properties:
        status:
          enum:
            - failure
          type: string
          description: '* `failure` - failure'
        error:
          type: string
      required:
        - error
        - status
  securitySchemes:
    knoxTokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    OrganizationApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````